# knife xargs

The knife xargs subcommand is used to build and execute command lines against objects on a server using standard input.

## Syntax

This argument has the following syntax:

    $ knife xargs [PATTERN...] (options)

## Options

Note

Review the list of common options available to this (and all) Knife subcommands and plugins.

This subcommand has the following options:

`-0`
  Indicates that a `NULL` character (`\0`) will be used as a separator, instead of white space. Default: `false`.
`--chef-repo-path PATH`
  The path to the chef-repo. This setting will override the default path to the chef-repo. Default: same as specified by `chef_repo_path` in config.rb.
`--concurrency`
  The number of allowed concurrent connections. Default: `10`.
`--[no-]diff`
  Use to show a diff when a file changes. Default: `--diff`.
`--dry-run`
  Use to prevent changes from being uploaded to the server. Default: `false`.
`--[no-]force`
  Use to force the upload of files even if they haven’t been changed. Default: `--no-force`.
`--local`
  Indicates that a command line will be built or executed against a local file. Set to `false` to build or execute against a remote file. Default: `false`.
`-n MAX_ARGS`, `--max-args MAX_ARGS`
  The maximum number of arguments per command line. Default: `nil`.
`-s LENGTH`, `--max-chars LENGTH`
  The maximum size (in characters) for a command line. Default: `nil`.
`-p [PATTERN...]`, `--pattern [PATTERN...]`
  One (or more) patterns for a command line. If this option is not specified, a list of patterns may be expected on standard input. Default: `nil`.
`-I REPLACE_STRING`, `--replace REPLACE_STRING`
  Use to define a string that will be used to replace all occurrences of a file name. Default: `nil`.
`-J REPLACE_STRING`, `--replace-first REPLACE_STRING`
  Use to define a string that will be used to replace the first occurrence of a file name. Default: `nil`.
`--repo-mode MODE`
  The layout of the local chef-repo. Possible values: `static`, `everything`, or `hosted_everything`. Use `static` for just roles, environments, cookbooks, and data bags. By default, `everything` and `hosted_everything` are dynamically selected depending on the server type. Default value: `default`.
`-t`
  Indicates that the print command will be run on the command line. Default: `nil`.

## Examples

The following examples show how to use this Knife subcommand:

Use output of knife deps to pass command to knife xargs

    $ knife deps nodes/*.json | xargs knife upload